<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="system__psoc6__cm4_8c" kind="file" language="C++">
    <compoundname>system_psoc6_cm4.c</compoundname>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="system__psoc6_8h">system_psoc6.h</includes>
    <includes local="yes">cy_device.h</includes>
    <includes local="yes">cy_device_headers.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
    <includes local="yes" refid="cy__sysclk_8h">cy_sysclk.h</includes>
    <includes local="yes" refid="cy__wdt_8h">cy_wdt.h</includes>
    <includes local="yes" refid="cy__ipc__sema_8h">cy_ipc_sema.h</includes>
    <includes local="yes" refid="cy__ipc__pipe_8h">cy_ipc_pipe.h</includes>
    <includes local="yes" refid="cy__ipc__drv_8h">cy_ipc_drv.h</includes>
    <incdepgraph>
      <node id="580">
        <label>stdbool.h</label>
      </node>
      <node id="581">
        <label>cy_device.h</label>
      </node>
      <node id="579">
        <label>system_psoc6_cm4.c</label>
        <link refid="system__psoc6__cm4_8c" />
        <childnode refid="580" relation="include">
        </childnode>
        <childnode refid="581" relation="include">
        </childnode>
        <childnode refid="582" relation="include">
        </childnode>
      </node>
      <node id="582">
        <label>cy_device_headers.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="system__psoc6__cm4_8c_1a5cadba035f5ebdb00dcd70d01ef3e9b3" kind="define" prot="public" static="no">
        <name>CY_CLK_HFCLK0_FREQ_HZ_DEFAULT</name>
        <initializer>(8000000UL)</initializer>
        <briefdescription>
<para>Default HFClk frequency in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="53" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="53" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a2f30d7ab7a0bbf3b862387fb39ed3394" kind="define" prot="public" static="no">
        <name>CY_CLK_PERICLK_FREQ_HZ_DEFAULT</name>
        <initializer>(4000000UL)</initializer>
        <briefdescription>
<para>Default PeriClk frequency in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="56" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="56" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1ab4cc32901c7c918f8afd1d1d3885b8cd" kind="define" prot="public" static="no">
        <name>CY_CLK_SYSTEM_FREQ_HZ_DEFAULT</name>
        <initializer>(8000000UL)</initializer>
        <briefdescription>
<para>Default FastClk system core frequency in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="59" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a72f502aada35e1282f50a995ab55ebec" kind="define" prot="public" static="no">
        <name>SCB_CPACR_CP10_CP11_ENABLE</name>
        <initializer>(0xFUL &lt;&lt; 20u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="88" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="88" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1abd9caa1047574669fe250cf07a85f629" kind="define" prot="public" static="no">
        <name>CY_FB_CLK_FLL_CONFIG_VALUE</name>
        <initializer>(0x01000000u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="96" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a0d9eb3882b353944dde122707f911bc0" kind="define" prot="public" static="no">
        <name>CY_FB_CLK_FLL_CONFIG2_VALUE</name>
        <initializer>(0x00020001u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="97" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1af2aaee0c9e6e168b8a7afbbf172eb1a9" kind="define" prot="public" static="no">
        <name>CY_FB_CLK_FLL_CONFIG3_VALUE</name>
        <initializer>(0x00002800u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="98" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="98" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a6c76b23e2f42bc374c3b3619c959b1c9" kind="define" prot="public" static="no">
        <name>CY_FB_CLK_FLL_CONFIG4_VALUE</name>
        <initializer>(0x000000FFu)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="99" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1aca60f078ae1a52caebd9c144bdd0e036" kind="define" prot="public" static="no">
        <name>CY_STARTUP_CM0_DP_STATE</name>
        <initializer>(0x2uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="102" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a70f6cc9a6440d01ea94eea60a30d9551" kind="define" prot="public" static="no">
        <name>CY_STARTUP_IPC7_DP_OFFSET</name>
        <initializer>(0x28u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="103" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a2bddc1076d557927c273c1255bb0435d" kind="define" prot="public" static="no">
        <name>CY_DELAY_MS_OVERFLOW_THRESHOLD</name>
        <initializer>(0x8000u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="111" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a7ce6941bfc591de584305c405edd173f" kind="define" prot="public" static="no">
        <name>CY_DELAY_1K_THRESHOLD</name>
        <initializer>(1000u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="112" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a0658126e98c6e971f8ab4b611edc437b" kind="define" prot="public" static="no">
        <name>CY_DELAY_1M_THRESHOLD</name>
        <initializer>(1000000u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="113" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t SystemCoreClock</definition>
        <argsstring />
        <name>SystemCoreClock</name>
        <initializer>= CY_CLK_SYSTEM_FREQ_HZ_DEFAULT</initializer>
        <briefdescription>
<para>Holds the SlowClk (Cortex-M0+) or FastClk (Cortex-M4) system core clock, which is the system clock frequency supplied to the SysTick timer and the processor core clock. </para>        </briefdescription>
        <detaileddescription>
<para>This variable implements CMSIS Core global variable. Refer to the <ulink url="http://www.keil.com/pack/doc/CMSIS/Core/html/group__system__init__gr.html">CMSIS documentation</ulink> for more details. This variable can be used by debuggers to query the frequency of the debug timer or to configure the trace clock speed.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition attention"&gt;&lt;p class="admonition-title"&gt;attention&lt;/p&gt;&lt;p&gt;&lt;p&gt;Compilers must be configured to avoid removing this variable in case the application program is not using it. Debugging systems require the variable to be physically present in memory so that it can be examined to configure the debugger. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="76" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1ga4bc88bcbc1ed608c76279ecb565b1f03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_Hfclk0FreqHz</definition>
        <argsstring />
        <name>cy_Hfclk0FreqHz</name>
        <initializer>= CY_CLK_HFCLK0_FREQ_HZ_DEFAULT</initializer>
        <briefdescription>
<para>Holds the HFClk0 clock frequency. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="79" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1ga05a91295faafbe3095f7c51291fe4b1a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_PeriClkFreqHz</definition>
        <argsstring />
        <name>cy_PeriClkFreqHz</name>
        <initializer>= CY_CLK_PERICLK_FREQ_HZ_DEFAULT</initializer>
        <briefdescription>
<para>Holds the PeriClk clock frequency. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="82" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1gad6c61e43c7d81802c759a8f0046bdc12" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_BleEcoClockFreqHz</definition>
        <argsstring />
        <name>cy_BleEcoClockFreqHz</name>
        <initializer>= 0UL</initializer>
        <briefdescription>
<para>Holds the Alternate high frequency clock in Hz. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__ble__clk__functions_1gae92f61cd532c63d9547c52ccd6757ff7">Cy_BLE_EcoConfigure()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="85" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1adc13cad6509d7cc483888dbaba8d7117" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_delayFreqKhz</definition>
        <argsstring />
        <name>cy_delayFreqKhz</name>
        <initializer>= CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT, CY_DELAY_1K_THRESHOLD)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="115" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a68ce52a3e22e9ee2cdcc825d85c46732" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_delayFreqMhz</definition>
        <argsstring />
        <name>cy_delayFreqMhz</name>
        <initializer>= (uint8_t)CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT, CY_DELAY_1M_THRESHOLD)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="117" />
      </memberdef>
      <memberdef id="system__psoc6__cm4_8c_1a09778bd17ffd699d5e307407aa1511cb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_delay32kMs</definition>
        <argsstring />
        <name>cy_delay32kMs</name>
        <initializer>= CY_DELAY_MS_OVERFLOW_THRESHOLD *
                            CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT, CY_DELAY_1K_THRESHOLD)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="119" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__system__config__system__functions_1ga93f514700ccf00d08dbdcff7f1224eb2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void SystemInit</definition>
        <argsstring>(void)</argsstring>
        <name>SystemInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initializes the system: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Restores FLL registers to the default state.</para></listitem><listitem><para>Unlocks and disables WDT.</para></listitem><listitem><para>Calls Cy_PDL_Init() function to define the driver library.</para></listitem><listitem><para>Calls the Cy_SystemInit() function, if compiled from PSoC Creator.</para></listitem><listitem><para>Calls <ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate()</ref>. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="245" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="system__psoc6__cm4_8c_1a5d5e3e111289756fd306c85dc911b67c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__WEAK void</type>
        <definition>__WEAK void Cy_SystemInit</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SystemInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>The function is called during device startup. </para>        </briefdescription>
        <detaileddescription>
<para>Once project compiled as part of the PSoC Creator project, the Cy_SystemInit() function is generated by the PSoC Creator.</para><para>The function generated by PSoC Creator performs all of the necessary device configuration based on the design settings. This includes settings from the Design Wide Resources (DWR) such as Clocks and Pins as well as any component configuration that is necessary. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="267" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="262" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="262" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void SystemCoreClockUpdate</definition>
        <argsstring>(void)</argsstring>
        <name>SystemCoreClockUpdate</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets core clock frequency and updates <ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>, <ref kindref="member" refid="group__group__system__config__globals_1ga4bc88bcbc1ed608c76279ecb565b1f03">cy_Hfclk0FreqHz</ref>, and <ref kindref="member" refid="group__group__system__config__globals_1ga05a91295faafbe3095f7c51291fe4b1a">cy_PeriClkFreqHz</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>Gets core clock frequency and updates <ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>.</para><para>Updates global variables used by the <ref kindref="member" refid="group__group__syslib__functions_1gaad1c32546fdb0e3c6fa8b46fb95843b5">Cy_SysLib_Delay()</ref>, <ref kindref="member" refid="group__group__syslib__functions_1ga9d2ffe4829c636ad78eaae5043fd6ae6">Cy_SysLib_DelayUs()</ref>, and <ref kindref="member" refid="group__group__syslib__functions_1ga58e78e8abc25b8b598fb0b7d50e18c69">Cy_SysLib_DelayCycles()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="296" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="281" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="281" />
      </memberdef>
      <memberdef const="no" explicit="no" id="system__psoc6__cm4_8c_1acca57bef9ef55ce6144b2b6370c34b99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SystemInitFpuEnable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SystemInitFpuEnable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the FPU if it is used. </para>        </briefdescription>
        <detaileddescription>
<para>The function is called from the startup file. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="316" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="306" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="306" />
      </memberdef>
      <memberdef const="no" explicit="no" id="system__psoc6__cm4_8c_1a0ecddd3f4565effec319545fb7480bdf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysIpcPipeIsrCm4</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysIpcPipeIsrCm4</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This is the interrupt service routine for the system pipe. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="330" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" bodystart="327" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" line="327" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.80</para></simplesect>
The device system-source file.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"system_psoc6.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device_headers.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysclk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_wdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_IPC_DEFAULT_CFG_DISABLE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#include<sp />"cy_ipc_sema.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#include<sp />"cy_ipc_pipe.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#include<sp />"cy_ipc_drv.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />defined(CY_DEVICE_PSOC6ABLE2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#include<sp />"cy_flash.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_DEVICE_PSOC6ABLE2)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(CY_IPC_DEFAULT_CFG_DISABLE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#include<sp />"cy_pra.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_DEVICE_SECURE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="49"><highlight class="comment">*<sp />SystemCoreClockUpdate()</highlight></codeline>
<codeline lineno="50"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />CY_CLK_HFCLK0_FREQ_HZ_DEFAULT<sp /><sp /><sp /><sp /><sp /><sp /><sp />(8000000UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />CY_CLK_PERICLK_FREQ_HZ_DEFAULT<sp /><sp /><sp /><sp /><sp /><sp />(4000000UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="preprocessor">#define<sp />CY_CLK_SYSTEM_FREQ_HZ_DEFAULT<sp /><sp /><sp /><sp /><sp /><sp /><sp />(8000000UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref><sp />=<sp />CY_CLK_SYSTEM_FREQ_HZ_DEFAULT;</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__system__config__globals_1ga4bc88bcbc1ed608c76279ecb565b1f03">cy_Hfclk0FreqHz</ref><sp /><sp />=<sp />CY_CLK_HFCLK0_FREQ_HZ_DEFAULT;</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__system__config__globals_1ga05a91295faafbe3095f7c51291fe4b1a">cy_PeriClkFreqHz</ref><sp />=<sp />CY_CLK_PERICLK_FREQ_HZ_DEFAULT;</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__system__config__globals_1gad6c61e43c7d81802c759a8f0046bdc12">cy_BleEcoClockFreqHz</ref><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="comment">/*<sp />SCB-&gt;CPACR<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SCB_CPACR_CP10_CP11_ENABLE<sp /><sp /><sp /><sp /><sp /><sp />(0xFUL<sp />&lt;&lt;<sp />20u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="92"><highlight class="comment">*<sp />SystemInit()</highlight></codeline>
<codeline lineno="93"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="comment">/*<sp />CLK_FLL_CONFIG<sp />default<sp />values<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_FB_CLK_FLL_CONFIG_VALUE<sp /><sp /><sp /><sp /><sp /><sp />(0x01000000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_FB_CLK_FLL_CONFIG2_VALUE<sp /><sp /><sp /><sp /><sp />(0x00020001u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_FB_CLK_FLL_CONFIG3_VALUE<sp /><sp /><sp /><sp /><sp />(0x00002800u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_FB_CLK_FLL_CONFIG4_VALUE<sp /><sp /><sp /><sp /><sp />(0x000000FFu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="comment">/*<sp />IPC_STRUCT7-&gt;DATA<sp />configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_STARTUP_CM0_DP_STATE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_STARTUP_IPC7_DP_OFFSET<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x28u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="107"><highlight class="comment">*<sp />SystemCoreClockUpdate<sp />(void)</highlight></codeline>
<codeline lineno="108"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="comment">/*<sp />Do<sp />not<sp />use<sp />these<sp />definitions<sp />directly<sp />in<sp />your<sp />application<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DELAY_MS_OVERFLOW_THRESHOLD<sp /><sp />(0x8000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DELAY_1K_THRESHOLD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DELAY_1M_THRESHOLD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1000000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal">uint32_t<sp />cy_delayFreqKhz<sp /><sp />=<sp />CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT,<sp />CY_DELAY_1K_THRESHOLD);</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal">uint8_t<sp />cy_delayFreqMhz<sp /><sp />=<sp />(uint8_t)CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT,<sp />CY_DELAY_1M_THRESHOLD);</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal">uint32_t<sp />cy_delay32kMs<sp /><sp /><sp /><sp />=<sp />CY_DELAY_MS_OVERFLOW_THRESHOLD<sp />*</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_SYSLIB_DIV_ROUNDUP(CY_CLK_SYSTEM_FREQ_HZ_DEFAULT,<sp />CY_DELAY_1K_THRESHOLD);</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="124"><highlight class="comment">*<sp />Function<sp />Name:<sp />SystemInit</highlight></codeline>
<codeline lineno="125"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="135"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__system__config__system__functions_1ga93f514700ccf00d08dbdcff7f1224eb2">SystemInit</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="136"><highlight class="normal">{</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_PDL_Init(CY_DEVICE_CFG);</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__CM0P_PRESENT</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />(__CM0P_PRESENT<sp />==<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Restore<sp />FLL<sp />registers<sp />to<sp />the<sp />default<sp />state<sp />as<sp />they<sp />are<sp />not<sp />restored<sp />by<sp />the<sp />ROM<sp />code<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />copy<sp />=<sp />SRSS-&gt;CLK_FLL_CONFIG;</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />copy<sp />&amp;=<sp />~SRSS_CLK_FLL_CONFIG_FLL_ENABLE_Msk;</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_FLL_CONFIG<sp />=<sp />copy;</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />copy<sp />=<sp />SRSS-&gt;CLK_ROOT_SELECT[0u];</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />copy<sp />&amp;=<sp />~SRSS_CLK_ROOT_SELECT_ROOT_DIV_Msk;<sp /></highlight><highlight class="comment">/*<sp />Set<sp />ROOT_DIV<sp />=<sp />0*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_ROOT_SELECT[0u]<sp />=<sp />copy;</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_FLL_CONFIG<sp /><sp />=<sp />CY_FB_CLK_FLL_CONFIG_VALUE;</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_FLL_CONFIG2<sp />=<sp />CY_FB_CLK_FLL_CONFIG2_VALUE;</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_FLL_CONFIG3<sp />=<sp />CY_FB_CLK_FLL_CONFIG3_VALUE;</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS-&gt;CLK_FLL_CONFIG4<sp />=<sp />CY_FB_CLK_FLL_CONFIG4_VALUE;</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Unlock<sp />and<sp />disable<sp />WDT<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667">Cy_WDT_Unlock</ref>();</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__wdt__functions_1ga709f597d56e7f7fb6717d5ff671491fa">Cy_WDT_Disable</ref>();</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />(__CM0P_PRESENT<sp />==<sp />0)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__CM0P_PRESENT<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SystemInit();</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</ref>();</highlight></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__CM0P_PRESENT</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />(__CM0P_PRESENT<sp />==<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />data<sp />register<sp />(as<sp />CM0p<sp />in<sp />deep<sp />sleep<sp />state)<sp />of<sp />IPC<sp />structure<sp />#7,<sp />reserved<sp />for<sp />the<sp />Deep-Sleep<sp />operations.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_IPC_STRUCT_DATA(CY_IPC_STRUCT_PTR(CY_IPC_CHAN_DDFT))<sp />=<sp />(CY_STARTUP_CM0_DP_STATE<sp />&lt;&lt;</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_STARTUP_IPC7_DP_OFFSET);</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Release<sp />IPC<sp />structure<sp />#7<sp />to<sp />avoid<sp />deadlocks<sp />in<sp />case<sp />of<sp />SW<sp />or<sp />WDT<sp />reset<sp />during<sp />Deep-Sleep<sp />entering.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_IPC_STRUCT_RELEASE(CY_IPC_STRUCT_PTR(CY_IPC_CHAN_DDFT))<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />(__CM0P_PRESENT<sp />==<sp />0)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__CM0P_PRESENT<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_IPC_DEFAULT_CFG_DISABLE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__CM0P_PRESENT</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />(__CM0P_PRESENT<sp />==<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allocate<sp />and<sp />initialize<sp />semaphores<sp />for<sp />the<sp />system<sp />operations.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint32_t<sp />ipcSemaArray[<ref kindref="member" refid="group__group__system__config__user__settings__macro_1gaba78bac52ffcbd69ab531467fa3caa6d">CY_IPC_SEMA_COUNT</ref><sp />/<sp /><ref kindref="member" refid="group__group__ipc__sema__macros_1ga7c011c5126248439921e442aab3c6b23">CY_IPC_SEMA_PER_WORD</ref>];</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<sp /><ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init</ref>(CY_IPC_CHAN_SEMA,<sp /><ref kindref="member" refid="group__group__system__config__user__settings__macro_1gaba78bac52ffcbd69ab531467fa3caa6d">CY_IPC_SEMA_COUNT</ref>,<sp />ipcSemaArray);</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<sp /><ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init</ref>(CY_IPC_CHAN_SEMA,<sp />0ul,<sp />NULL);</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />(__CM0P_PRESENT)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />(void)<sp /><ref kindref="member" refid="group__group__ipc__sema__functions_1ga1cbc3b147c650c8716de10a1ee8423bd">Cy_IPC_Sema_Init</ref>(CY_IPC_CHAN_SEMA,<sp />0ul,<sp />NULL);</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__CM0P_PRESENT<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/********************************************************************************</highlight></codeline>
<codeline lineno="191"><highlight class="comment"><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="192"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp />Initializes<sp />the<sp />system<sp />pipes.<sp />The<sp />system<sp />pipes<sp />are<sp />used<sp />by<sp />BLE<sp />and<sp />Flash.</highlight></codeline>
<codeline lineno="193"><highlight class="comment"><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="194"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp />If<sp />the<sp />default<sp />startup<sp />file<sp />is<sp />not<sp />used,<sp />or<sp />SystemInit()<sp />is<sp />not<sp />called<sp />in<sp />your</highlight></codeline>
<codeline lineno="195"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp />project,<sp />call<sp />the<sp />following<sp />three<sp />functions<sp />prior<sp />to<sp />executing<sp />any<sp />flash<sp />or</highlight></codeline>
<codeline lineno="196"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp />EmEEPROM<sp />write<sp />or<sp />erase<sp />operation:</highlight></codeline>
<codeline lineno="197"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />-#<sp />Cy_IPC_Sema_Init()</highlight></codeline>
<codeline lineno="198"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />-#<sp />Cy_IPC_Pipe_Config()</highlight></codeline>
<codeline lineno="199"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />-#<sp />Cy_IPC_Pipe_Init()</highlight></codeline>
<codeline lineno="200"><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />-#<sp />Cy_Flash_Init()</highlight></codeline>
<codeline lineno="201"><highlight class="comment"><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="202"><highlight class="comment"><sp /><sp /><sp /><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Create<sp />an<sp />array<sp />of<sp />endpoint<sp />structures<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ipc__pipe__ep__t">cy_stc_ipc_pipe_ep_t</ref><sp />systemIpcPipeEpArray[<ref kindref="member" refid="group__group__system__config__user__settings__macro_1ga26b976c68c4fc4e45bc7f400e97c8495">CY_IPC_MAX_ENDPOINTS</ref>];</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ipc__pipe__functions_1ga7a1c8f1e92e74f27856ef2b7ac09c640">Cy_IPC_Pipe_Config</ref>(systemIpcPipeEpArray);</highlight></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />cy_ipc_pipe_callback_ptr_t<sp />systemIpcPipeSysCbArray[CY_SYS_CYPIPE_CLIENT_CNT];</highlight></codeline>
<codeline lineno="209"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ipc__pipe__config__t">cy_stc_ipc_pipe_config_t</ref><sp />systemIpcPipeConfigCm4<sp />=</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ep0ConfigData<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierNumber<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_INTR_CYPIPE_EP0,</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierPriority<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_PRIOR_EP0,</highlight></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierMuxNumber<sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_MUX_EP0,</highlight></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epAddress<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_EP_CYPIPE_CM0_ADDR,</highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epConfig<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CONFIG_EP0</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ep1ConfigData<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierNumber<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_INTR_CYPIPE_EP1,</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierPriority<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_INTR_CYPIPE_PRIOR_EP1,</highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ipcNotifierMuxNumber<sp />*/</highlight><highlight class="normal"><sp /><sp />0u,</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epAddress<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_IPC_EP_CYPIPE_CM4_ADDR,</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.epConfig<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CONFIG_EP1</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.endpointClientsCount<sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />CY_SYS_CYPIPE_CLIENT_CNT,</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.endpointsCallbacksArray<sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />systemIpcPipeSysCbArray,</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.userPipeIsrHandler<sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><sp />&amp;Cy_SysIpcPipeIsrCm4</highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ipc__pipe__functions_1gafb7fa479327e6d7c282c262bc1dc6c8c">Cy_IPC_Pipe_Init</ref>(&amp;systemIpcPipeConfigCm4);</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_DEVICE_PSOC6ABLE2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__flash__functions_1gaf1b44a029169a1baa08e211bff714a19">Cy_Flash_Init</ref>();</highlight></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_DEVICE_PSOC6ABLE2)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(CY_IPC_DEFAULT_CFG_DISABLE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />Protected<sp />Register<sp />Access<sp />driver<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__functions_1ga93393c7e6e2ca124ac0b331dcee6e78b">Cy_PRA_Init</ref>();</highlight></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_DEVICE_SECURE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal">}</highlight></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="249"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SystemInit</highlight></codeline>
<codeline lineno="250"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="262"><highlight class="normal">__WEAK<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SystemInit(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="263"><highlight class="normal">{</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Empty<sp />weak<sp />function.<sp />The<sp />actual<sp />implementation<sp />to<sp />be<sp />in<sp />the<sp />PSoC<sp />Creator</highlight></codeline>
<codeline lineno="265"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp />*<sp />generated<sp />strong<sp />function.</highlight></codeline>
<codeline lineno="266"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal">}</highlight></codeline>
<codeline lineno="268"><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="271"><highlight class="comment">*<sp />Function<sp />Name:<sp />SystemCoreClockUpdate</highlight></codeline>
<codeline lineno="272"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="281"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</ref><sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="282"><highlight class="normal">{</highlight></codeline>
<codeline lineno="283"><highlight class="normal"><sp /><sp /><sp /><sp />uint32<sp />locHf0Clock<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gafa8c21271b8cb1b1fd9f7fb489a8d2b3">Cy_SysClk_ClkHfGetFrequency</ref>(0UL);</highlight></codeline>
<codeline lineno="284"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />locHf0Clock)</highlight></codeline>
<codeline lineno="286"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="287"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__system__config__globals_1ga4bc88bcbc1ed608c76279ecb565b1f03">cy_Hfclk0FreqHz</ref><sp />=<sp />locHf0Clock;</highlight></codeline>
<codeline lineno="288"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__system__config__globals_1ga05a91295faafbe3095f7c51291fe4b1a">cy_PeriClkFreqHz</ref><sp />=<sp />locHf0Clock<sp />/<sp />(1UL<sp />+<sp />(uint32_t)<ref kindref="member" refid="group__group__sysclk__clk__peri__funcs_1ga52444654d4f896de2a75e6db71705afd">Cy_SysClk_ClkPeriGetDivider</ref>());</highlight></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref><sp />=<sp />locHf0Clock<sp />/<sp />(1UL<sp />+<sp />(uint32_t)<ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga439dc5031af51ff23d3136c854f68895">Cy_SysClk_ClkFastGetDivider</ref>());</highlight></codeline>
<codeline lineno="290"><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Sets<sp />clock<sp />frequency<sp />for<sp />Delay<sp />API<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_delayFreqMhz<sp />=<sp />(uint8_t)CY_SYSLIB_DIV_ROUNDUP(<ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>,<sp />CY_DELAY_1M_THRESHOLD);</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_delayFreqKhz<sp />=<sp />CY_SYSLIB_DIV_ROUNDUP(<ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>,<sp />CY_DELAY_1K_THRESHOLD);</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_delay32kMs<sp /><sp /><sp />=<sp />CY_DELAY_MS_OVERFLOW_THRESHOLD<sp />*<sp />cy_delayFreqKhz;</highlight></codeline>
<codeline lineno="295"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="296"><highlight class="normal">}</highlight></codeline>
<codeline lineno="297"><highlight class="normal" /></codeline>
<codeline lineno="298"><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="300"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SystemInitFpuEnable</highlight></codeline>
<codeline lineno="301"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="306"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SystemInitFpuEnable(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="307"><highlight class="normal">{</highlight></codeline>
<codeline lineno="308"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />defined<sp />(__FPU_USED)<sp />&amp;&amp;<sp />(__FPU_USED<sp />==<sp />1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp /><sp />interruptState;</highlight></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptState<sp />=<sp /><ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection</ref>();</highlight></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SCB-&gt;CPACR<sp />|=<sp />SCB_CPACR_CP10_CP11_ENABLE;</highlight></codeline>
<codeline lineno="312"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />__DSB();</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />__ISB();</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555">Cy_SysLib_ExitCriticalSection</ref>(interruptState);</highlight></codeline>
<codeline lineno="315"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />(__FPU_USED)<sp />&amp;&amp;<sp />(__FPU_USED<sp />==<sp />1U)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal">}</highlight></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_IPC_DEFAULT_CFG_DISABLE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="321"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysIpcPipeIsrCm4</highlight></codeline>
<codeline lineno="322"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="327"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SysIpcPipeIsrCm4(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="328"><highlight class="normal">{</highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ipc__pipe__functions_1ga7cff3c4286e6e23519d9925d394ac218">Cy_IPC_Pipe_ExecuteCallback</ref>(CY_IPC_EP_CYPIPE_CM4_ADDR);</highlight></codeline>
<codeline lineno="330"><highlight class="normal">}</highlight></codeline>
<codeline lineno="331"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="335"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_MemorySymbols</highlight></codeline>
<codeline lineno="336"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="343"><highlight class="preprocessor">#if<sp />defined<sp />(__ARMCC_VERSION)<sp />&amp;&amp;<sp />(__ARMCC_VERSION<sp />&lt;<sp />6010050)</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal">__asm<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_MemorySymbols(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="345"><highlight class="normal">{</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_0_start</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_0_length</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_0_row_size</highlight></codeline>
<codeline lineno="350"><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Working<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_1_start</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_1_length</highlight></codeline>
<codeline lineno="354"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_1_row_size</highlight></codeline>
<codeline lineno="355"><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Supervisory<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_2_start</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_2_length</highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_2_row_size</highlight></codeline>
<codeline lineno="360"><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />XIP<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_3_start</highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_3_length</highlight></codeline>
<codeline lineno="364"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_3_row_size</highlight></codeline>
<codeline lineno="365"><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />eFuse<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_4_start</highlight></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_4_length</highlight></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp />EXPORT<sp />__cy_memory_4_row_size</highlight></codeline>
<codeline lineno="370"><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal">__cy_memory_0_start<sp /><sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_FLASH_BASE)</highlight></codeline>
<codeline lineno="373"><highlight class="normal">__cy_memory_0_length<sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_FLASH_SIZE)</highlight></codeline>
<codeline lineno="374"><highlight class="normal">__cy_memory_0_row_size<sp /><sp />EQU<sp />0x200</highlight></codeline>
<codeline lineno="375"><highlight class="normal" /></codeline>
<codeline lineno="376"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Flash<sp />region<sp />for<sp />EEPROM<sp />emulation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal">__cy_memory_1_start<sp /><sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_EM_EEPROM_BASE)</highlight></codeline>
<codeline lineno="378"><highlight class="normal">__cy_memory_1_length<sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_EM_EEPROM_SIZE)</highlight></codeline>
<codeline lineno="379"><highlight class="normal">__cy_memory_1_row_size<sp /><sp />EQU<sp />0x200</highlight></codeline>
<codeline lineno="380"><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Supervisory<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="382"><highlight class="normal">__cy_memory_2_start<sp /><sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_SFLASH_BASE)</highlight></codeline>
<codeline lineno="383"><highlight class="normal">__cy_memory_2_length<sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_SFLASH_SIZE)</highlight></codeline>
<codeline lineno="384"><highlight class="normal">__cy_memory_2_row_size<sp /><sp />EQU<sp />0x200</highlight></codeline>
<codeline lineno="385"><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />XIP<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="387"><highlight class="normal">__cy_memory_3_start<sp /><sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_XIP_BASE)</highlight></codeline>
<codeline lineno="388"><highlight class="normal">__cy_memory_3_length<sp /><sp /><sp /><sp />EQU<sp />__cpp(CY_XIP_SIZE)</highlight></codeline>
<codeline lineno="389"><highlight class="normal">__cy_memory_3_row_size<sp /><sp />EQU<sp />0x200</highlight></codeline>
<codeline lineno="390"><highlight class="normal" /></codeline>
<codeline lineno="391"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />eFuse<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="392"><highlight class="normal">__cy_memory_4_start<sp /><sp /><sp /><sp /><sp />EQU<sp />__cpp(0x90700000)</highlight></codeline>
<codeline lineno="393"><highlight class="normal">__cy_memory_4_length<sp /><sp /><sp /><sp />EQU<sp />__cpp(0x100000)</highlight></codeline>
<codeline lineno="394"><highlight class="normal">__cy_memory_4_row_size<sp /><sp />EQU<sp />__cpp(1)</highlight></codeline>
<codeline lineno="395"><highlight class="normal">}</highlight></codeline>
<codeline lineno="396"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined<sp />(__ARMCC_VERSION)<sp />&amp;&amp;<sp />(__ARMCC_VERSION<sp />&lt;<sp />6010050)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="397"><highlight class="normal" /></codeline>
<codeline lineno="398"><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM4/system_psoc6_cm4.c" />
  </compounddef>
</doxygen>